Bug 970048 - pre-selected language is cropped on the initial screen
pre-selected language is cropped on the initial screen
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Kolman
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: F19-accepted/F19FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-06-03 07:31 EDT by Kamil Páral
Modified: 2015-01-13 08:10 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 08:10:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
language screen (82.85 KB, image/png)
2013-06-03 07:31 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-06-03 07:31:54 EDT
Created attachment 756264 [details]
language screen

Description of problem:
I've run anaconda 19.30, it auto-detected I'm in Czech Republic and pre-selected Czech language for me. Great. But the list item is cropped for some reason, because it is scrolled down a bit. I haven't seen this problem when English was pre-selected, just Czech. See screenshot.

Version-Release number of selected component (if applicable):
anaconda 19.30

How reproducible:
always

Steps to Reproduce:
1. run anaconda in an environment where it auto-detects Czech language
2. the language item is cropped (scrolled down)
Comment 1 Jens Petersen 2013-06-06 00:43:09 EDT
Same for Japan/Japanese - presumably most languages.
Comment 2 Adam Williamson 2013-06-10 14:04:13 EDT
Discussed at 2013-06-10 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-10/f19final-blocker-review-4.2013-06-10-16.01.log.txt . This is accepted as a 'freeze exception' issue, but note we think the benefit/risk tradeoff on this is quite marginal and we're only sure we'd want to take a fix before the 'official' freeze (but while anaconda is on its 'private freeze') or quite early in the 'official' freeze. Once we get to 'three days before release' time, we probably don't want to be poking this.
Comment 3 Vratislav Podzimek 2013-06-19 04:20:59 EDT
This is a Gtk bug, but I'll let Martin describe it and take care of it.
Comment 4 Martin Kolman 2013-06-19 10:08:25 EDT
This is the code that scrolls to the cell with the pre-selected language: 

treeview.scroll_to_cell(path, use_align=True, row_align=0.5)

The row_align=0.5 parameter tells GTK to move the cell to the middle of the
treeviews viewport (0.0 should align it with the top, 1.0 with bottom)
If the cell is the uppermost one, it should align it with the top
of the viewport.

Unfortunately, this does not work as expected.

Currently if the cell is the upper most one, it will sort of
align it with the top of the viewport, leaving about 30% of
it hidden. If the target cell is not the upper most one,
it seems to just scroll the treeview a bit, leaving the
target cell well out of the viewport.

In short, once that is fixed, row_align=0.5 should work
correctly for showing both upper most cells and all other cells
in the tree view model.
Comment 5 Matthias Clasen 2013-06-19 20:30:56 EDT
would need a way to reproduce. Ideally, a minimal standalone example. But I can't even get anaconda to reproduce it here, outside the czech republic.
Comment 6 Fedora End Of Life 2015-01-09 13:18:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Kamil Páral 2015-01-13 08:10:31 EST
Fedora 21 anaconda looks completely different and nobody provided a simple gtk reproducer, so closing.

Note You need to log in before you can comment on or make changes to this bug.